/*
 * Harbor API
 * These APIs provide services for manipulating Harbor project.
 *
 * OpenAPI spec version: 2.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.19
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.HarborApi) {
      root.HarborApi = {};
    }
    root.HarborApi.ScannerCapability = factory(root.HarborApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The ScannerCapability model module.
   * @module model/ScannerCapability
   * @version 2.0
   */

  /**
   * Constructs a new <code>ScannerCapability</code>.
   * @alias module:model/ScannerCapability
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ScannerCapability</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ScannerCapability} obj Optional instance to populate.
   * @return {module:model/ScannerCapability} The populated <code>ScannerCapability</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('consumes_mime_types'))
        obj.consumesMimeTypes = ApiClient.convertToType(data['consumes_mime_types'], ['String']);
      if (data.hasOwnProperty('produces_mime_types'))
        obj.producesMimeTypes = ApiClient.convertToType(data['produces_mime_types'], ['String']);
    }
    return obj;
  }

  /**
   * @member {Array.<String>} consumesMimeTypes
   */
  exports.prototype.consumesMimeTypes = undefined;

  /**
   * @member {Array.<String>} producesMimeTypes
   */
  exports.prototype.producesMimeTypes = undefined;


  return exports;

}));
